---
name: Feature request
about: Suggest an idea or a feature for this library
title: ''
labels: feature request
assignees: ''
---

<!--
⚠️ Please do not report security vulnerabilities here. The Responsible Disclosure Program details the procedure for disclosing security issues: https://auth0.com/responsible-disclosure-policy
ℹ️ For general support or usage questions, use the Auth0 Community forums or raise a support ticket.

Please read through the template below and answer all relevant sections. Your additional work here is greatly appreciated and will help us respond as quickly as possible. To avoid duplicates, please search existing issues before submitting one here.

By submitting an issue to this repository, you agree to the terms within the Auth0 Code of Conduct: https://github.com/auth0/open-source-template/blob/master/CODE-OF-CONDUCT.md.
-->

### ✏️ Describe the problem you'd like to have solved

<!-- 
A clear and concise description of what the problem is. E.g. I'm always frustrated when...
-->

### ✏️ Describe the ideal solution

<!-- 
A clear and concise description of what you want to happen.
-->

### 🩹 Alternatives and current workarounds

<!-- 
A clear and concise description of any alternatives you've considered or any workarounds that are currently in place.
-->

### 📌 Additional context

<!-- 
Add any other context or screenshots about the feature request here.
-->

### ✅ Checklist

<!-- 
⚠️ These are all required. Issues with an incomplete or missing checklist will be unceremoniously closed.
-->

- [ ] I have looked into the [README](https://github.com/auth0/Auth0.swift#readme) and have not found a suitable solution or answer
- [ ] I have looked into the [API documentation](https://auth0.github.io/Auth0.swift/) and have not found a suitable solution or answer
- [ ] I have searched the [issues](https://github.com/auth0/Auth0.swift/issues) and have not found a suitable solution or answer
- [ ] I have searched the [Auth0 Community](https://community.auth0.com/tags/c/sdks/5/swift) forums and have not found a suitable solution or answer
