---
name: Report a bug
about: Have you found a bug or issue? Create a bug report for this library
title: ''
labels: bug report
assignees: ''
---

<!--
⚠️ Please do not report security vulnerabilities here. The Responsible Disclosure Program details the procedure for disclosing security issues: https://auth0.com/responsible-disclosure-policy
ℹ️ For general support or usage questions, use the Auth0 Community forums or raise a support ticket.

Please read through the template below and answer all relevant sections. Your additional work here is greatly appreciated and will help us respond as quickly as possible. To avoid duplicates, please search existing issues before submitting one here.

By submitting an issue to this repository, you agree to the terms within the Auth0 Code of Conduct: https://github.com/auth0/open-source-template/blob/master/CODE-OF-CONDUCT.md.
-->

### ✏️ Description

<!-- 
Provide a clear and concise description of the issue, including what you expected to happen.
-->

### 📋 Reproduction

<!-- 
ℹ️ If clear, reproducible steps or a sample app that demonstrates the undesirable behavior cannot be provided, we may not be able to follow up on this bug report.

Detail the steps taken to reproduce this error, and whether this issue can be reproduced consistently or if it is intermittent. Where applicable, please include:

- A code sample to reproduce the issue, or a sample app that reproduces the undesirable behavior
- Log information and HTTP request traces (redact/remove sensitive information)
- Application settings (redact/remove sensitive information)
- Screenshots/GIFs/videos
-->

1. Step 1...
2. Step 2...
3. ...

### 📱 Environment

- **Auth0.swift version**:
- **Platform (iOS/macOS/tvOS/watchOS)**:
- **Platform version**:
- **Xcode version**:
- **Package manager (SPM/Cocoapods/Carthage/other)**:

### ✅ Checklist

<!-- 
⚠️ These are all required. Issues with an incomplete or missing checklist will be unceremoniously closed.
-->

- [ ] The issue can be reproduced in the [Auth0.swift sample app](https://github.com/auth0-samples/auth0-ios-swift-sample) (or N/A)
- [ ] I have looked into the [README](https://github.com/auth0/Auth0.swift#readme) and have not found a suitable solution or answer
- [ ] I have looked into the [API documentation](https://auth0.github.io/Auth0.swift/) and have not found a suitable solution or answer
- [ ] I have searched the [issues](https://github.com/auth0/Auth0.swift/issues) and have not found a suitable solution or answer
- [ ] I have searched the [Auth0 Community](https://community.auth0.com/tags/c/sdks/5/swift) forums and have not found a suitable solution or answer
