<!--
⚠️ Please do not report security vulnerabilities here. The Responsible Disclosure Program details the procedure for disclosing security issues: https://auth0.com/responsible-disclosure-policy
ℹ️ For general support or usage questions, use the Auth0 Community forums or raise a support ticket.

Please read through the template below and answer all relevant sections. Your additional work here is greatly appreciated and will help us respond as quickly as possible.

By submitting a Pull Request to this repository, you agree to the terms within the Auth0 Code of Conduct: https://github.com/auth0/open-source-template/blob/master/CODE-OF-CONDUCT.md.
-->

### ✏️ Changes

<!-- 
Please describe both what is changing and why this is important. Include:

- Types and methods added, deleted, deprecated, or changed
- A summary of usage if this is a new feature or a change to a public API
-->

### 📎 References

<!-- 
Please include relevant links supporting this change such as a:

- GitHub issue/PR number addressed or fixed
- Auth0 Community post
- StackOverflow answer
- Related pull requests/issues from other repos

If there are no references, simply delete this section.
-->

### 🎯 Testing

<!-- 
Describe how this can be tested by reviewers. Be specific about anything not tested and why. Tests must be added for all new functionality. Existing tests must be updated for all changed/fixed functionality, where applicable. All the tests must complete without errors.

Please include any manual steps for testing end-to-end, or for testing functionality not covered by unit tests.
-->

### ✅ Checklist

<!-- 
⚠️ These are all required. Pull Requests with an incomplete or missing checklist will be unceremoniously closed.
-->

- [ ] All new/changed/fixed functionality is covered by tests (or N/A)
- [ ] I have added documentation for all new/changed functionality (or N/A)
